<div id="greeter">
    <div *ngIf="greeterDiv">
        <label for="yourName">What should we call you? </label>
        <input [(ngModel)]="name" type="text" id="yourName" />
        <button (click)="submitName()">Submit</button>
    </div>
    <h2 *ngIf="name">Welcome, {{name}}.</h2>
</div>
<div class="grid-container">
    <div *ngFor="let todo of todos" [hidden]="visibility" class="todo-card">
        <h2>Todo #{{todo.id}}</h2>
        <p>Date: {{todo.createdOn}}</p>
        <p>{{todo.title | uppercase | punctuation}}</p>
        <p appColorCode>Status: {{todo.completed}}</p>
        <label for="updateBox{{todo.id}}">Update Task: </label>
        <input [(ngModel)]="todo.content" id="updateBox{{todo.id}}" />
    </div>
</div>
<button (click)="toggleVisibility()">Click Me!</button>